=== modified file 'lib/lp/soyuz/help/derived-series-syncing.html'
--- lib/lp/soyuz/help/derived-series-syncing.html	2010-09-07 07:30:42 +0000
+++ lib/lp/soyuz/help/derived-series-syncing.html	2011-05-23 15:45:24 +0000
@@ -12,35 +12,76 @@
     <h1>Syncing software from a parent series</h1>
 
     <p>
-      A nice introduction text written by the great
+      Syncing software from a parent series will take the package that's
+      currently published in it, and upload it to the derived series without
+      you having to use command line tools such as <em>dput</em> or 
+      <em>ftp</em>.
     </p>
 
     <p>
       <strong>Important:</strong> Syncing a package from the parent
-      series will overwrite ....
+      series will supersede any changes made in the derived version. If there
+      are local changes you don't wish to lose, you will need to manually
+      merge the changes into the upstream package and upload that to the
+      derived series.
     </p>
 
     <h2>Checking the differences</h2>
 
     <p>
-    Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do
-    eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim
-    ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut
-    aliquip ex ea commodo consequat. Duis aute irure dolor in
-    reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
-    pariatur. Excepteur sint occaecat cupidatat non proident, sunt in
-    culpa qui officia deserunt mollit anim id est laborum.
-    </p>
-
-    <p>
-    <strong>Step 1:</strong>
-    Sed ut perspiciatis unde omnis iste natus error sit voluptatem
-    accusantium doloremque laudantium, totam rem aperiam, eaque ipsa
-    quae ab illo inventore veritatis et quasi architecto beatae vitae
-    dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit
-    aspernatur aut odit aut fugit, sed quia consequuntur magni dolores
-    eos qui ratione voluptatem sequi nesciunt.
-    </p>
-
+    Each row in the table shows a package that has different versions in
+    the derived series and the parent(s).  Clicking the package name
+    will expand the row to show more details about the package and allow 
+    you to take some actions:
+      <ul>
+        <li>Add a comment about this package.</li>
+        <li>Request debdiffs</li>
+        <li>Ignoring this difference, or all differences for this package</li>
+      </ul>
+    </p>
+
+    <h3>Adding comments</h3>
+    <p>
+    Click the green "Add comment" button and enter the comment inline.
+    All previous comments are shown here also.
+    </p>
+
+    <h3>Requesting debdiffs</h3>
+    <p>
+    Click the "Compute differences from last common version".  A request is
+    sent to the server to initiate the debdiff calculation.  While you wait
+    for the calculation the icon will flash. The page will update
+    automatically when the debdiff becomes available, giving you a link to
+    download the debdiff file.
+    </p>
+
+    <h3>Ignoring differences</h3>
+    <p>
+    If you don't care about this package you have the option of setting it to
+    <em>ignored</em>, which means that it will no longer appear in the list.   
+    You can choose to ignore just "These versions", which means if a new 
+    version is uploaded it will re-appear, or "All Versions" which means 
+    you won't see it again unless you search explicitly for ignored 
+    packages in the search criteria at the top of the page.
+    </p>
+
+    <h2>Requesting a sync</h2>
+    <p>
+    There are two methods of syncing:
+      <ul>
+        <li><strong>A mass-sync:</strong>  This grabs all packages in all 
+            parents that have a higher version and uploads them to the 
+            derived series by clicking the mass-sync button at the bottom 
+            of the page.  To do this you need to have archive administrator 
+            permissions.</li>
+        <li><strong>A selective sync:</strong>  You can check the box next 
+            to each package and then click the sync button at the bottom of
+            the page. To do this you need to have permissions to upload 
+            each package.</li>
+      </ul>
+    After you request a sync the operation will complete in the background
+    and the package(s) will flow into the distribution just like a normal 
+    upload, including being held in the upload queue as appropriate.
+    </p>
   </body>
 </html>

